S S O connections
Authorization
bearer In: header
Path Parameters
organizationId
Response Body
application/json
curl -X GET "https://example.com/apps/string/organizations/string/sso-connections"[ { "id": "string", "organizationId": "string", "appId": "string", "name": "string", "domain": "string", "status": "DRAFT", "idpEntityId": "string", "idpSsoUrl": "string", "idpCertificate": [ "string" ], "spCertificate": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]Authorization
bearer In: header
Path Parameters
organizationId
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/apps/string/organizations/string/sso-connections" \ -H "Content-Type: application/json" \ -d '{ "name": "Connexion Okta d\'Acme Inc.", "domain": "acme.com" }'{ "id": "string", "organizationId": "string", "appId": "string", "name": "string", "domain": "string", "status": "DRAFT", "idpEntityId": "string", "idpSsoUrl": "string", "idpCertificate": [ "string" ], "spCertificate": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}Authorization
bearer In: header
Path Parameters
organizationId
Response Body
application/json
curl -X GET "https://example.com/apps/string/organizations/string/sso-connections/string"{ "id": "string", "organizationId": "string", "appId": "string", "name": "string", "domain": "string", "status": "DRAFT", "idpEntityId": "string", "idpSsoUrl": "string", "idpCertificate": [ "string" ], "spCertificate": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}Authorization
bearer In: header
Path Parameters
organizationId
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/apps/string/organizations/string/sso-connections/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "organizationId": "string", "appId": "string", "name": "string", "domain": "string", "status": "DRAFT", "idpEntityId": "string", "idpSsoUrl": "string", "idpCertificate": [ "string" ], "spCertificate": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}Authorization
bearer In: header
Path Parameters
organizationId
Response Body
application/json
curl -X DELETE "https://example.com/apps/string/organizations/string/sso-connections/string"{ "removed": true}Authorization
bearer In: header
Path Parameters
organizationId
Response Body
curl -X GET "https://example.com/apps/string/organizations/string/sso-connections/string/metadata.xml"Authorization
bearer In: header
Path Parameters
organizationId
Response Body
application/json
curl -X POST "https://example.com/apps/string/organizations/string/sso-connections/string/activate"{ "id": "string", "organizationId": "string", "appId": "string", "name": "string", "domain": "string", "status": "DRAFT", "idpEntityId": "string", "idpSsoUrl": "string", "idpCertificate": [ "string" ], "spCertificate": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}Authorization
bearer In: header
Path Parameters
organizationId
Response Body
application/json
curl -X POST "https://example.com/apps/string/organizations/string/sso-connections/string/deactivate"{ "id": "string", "organizationId": "string", "appId": "string", "name": "string", "domain": "string", "status": "DRAFT", "idpEntityId": "string", "idpSsoUrl": "string", "idpCertificate": [ "string" ], "spCertificate": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}